/*
 * iomsg.h
 * Copyright (C) Damian Walker 2000
 *
 * Astroserv - Input Message Processing - Header
 *
 * $Id: iomsg.h,v 1.2 2000/07/27 09:31:27 damian Exp $
 *
 * $Log: iomsg.h,v $
 * Revision 1.2  2000/07/27 09:31:27  damian
 * Cosmetic changes to heading comments
 *
 * Revision 1.1.1.1  2000/07/27 09:18:09  damian
 * Initial release of Astroserv
 *
 * Revision 1.1  2000/05/31 10:17:51  damian
 * Initial revision
 *
 */

#ifndef _IOMSG_H_
#define _IOMSG_H_

/*
 * Other Included Headers
 */

#include "astrosrv.h" /* for 'result' definitions */

/*
 * function prototypes 
 */

result iomsg_open (void);
result iomsg_close (void);
result iomsg_read_header (void);
char *iomsg_get_address (char *address);
char *iomsg_get_game (char *game);
result iomsg_read_body (char *buffer);
result iomsg_post (char *address, char *subject, char *text);

/*
 * End of Header
 */

#endif
