/*
 * plytxt.h
 * Copyright (C) Damian Walker 2000
 *
 * Astroserv - Temporary Text I/O - Header
 *
 * $Id: plytxt.h,v 1.2 2000/07/27 09:31:41 damian Exp $
 *
 * $Log: plytxt.h,v $
 * Revision 1.2  2000/07/27 09:31:41  damian
 * Cosmetic changes to heading comments
 *
 * Revision 1.1.1.1  2000/07/27 09:18:11  damian
 * Initial release of Astroserv
 *
 * Revision 1.1  2000/05/31 10:17:51  damian
 * Initial revision
 *
 */


#ifndef _PLYTXT_H_
#define _PLYTXT_H_


/* function prototypes ****************************************/


/* plytxt_open() - initialise the library */
result plytxt_open(char *path);

/* plytxt_write() - add text to the file */
result plytxt_write(long number, char *text);

/* plytxt_read() - read text from the file */
char *plytxt_read(long number);

/* plytxt_close() - close the library and remove the file */
void plytxt_close(void);


/* end of include file ****************************************/


#endif
